<div class="flex items-center min-h-screen">
  <div class="flex flex-col w-full max-w-sm px-4 mx-auto">
    <div class="flex justify-center mb-10">
      <img src="/assets/images/logo.png" alt="" class="w-24" />
    </div>
    <div class="mb-6">
      <p class="font-semibold leading-7">비밀번호 변경</p> 
    </div>
    <form [formGroup]="formGroup" class="text-sm">
      <div class="mb-6">
        <app-input-label w="full" [labelText]="'비밀번호'"
        [message]="formGroup.get('password')?.value && formGroup.get('password')?.invalid ? '비밀번호는 8~15자리의 영문, 숫자, 특수문자를 포함해주세요' : ''"
        [color]="formGroup.get('password')?.invalid ? 'error' : 'primary'">
        <input class="w-full" type="password" placeholder="비밀번호" formControlName="password" />
      </app-input-label>  
      </div>
      <div class="mb-6">
        <app-input-label w="full" [labelText]="'비밀번호 확인'"
        [message]="formGroup.get('rePassword')?.value && formGroup.get('rePassword')?.invalid ? '비밀번호는 8~15자리의 영문, 숫자, 특수문자를 포함해주세요' : ''"
        [color]="formGroup.get('rePassword')?.invalid ? 'error' : 'primary'">
        <input class="w-full" type="password" placeholder="비밀번호 확인" formControlName="rePassword" />
      </app-input-label>  
      </div>
      @if(formGroup.invalid || (formGroup.get('password')?.value !== formGroup.get('rePassword')?.value)){
        <app-button [color]="'neutral70'">새로운 비밀번호 설정</app-button> 
      }@else {
        <app-button (click)="onSubmit()">새로운 비밀번호 설정</app-button> 
      } 
    </form>
    <div class="flex justify-center mt-6">
      <a type="button" routerLink="/signin" class="text-sm font-semibold text-primary hover:text-primaryTint">로그인 페이지로 되돌아가기</a>
    </div>
  </div>
</div>
